Subject: In re ICTS
From: [email-masked]
To: [email-masked], [email-masked]
Cc: [email-masked], [email-masked]
Date: Wed, 6 Dec 2000 06:55:00 -0800 (PST)

I apologize for accidentally hitting the wrong button and sending the below 
e-mail.  Here's the rest of my e-mail:

1. (cont'd.) and any other form language typically used.

2. confirmation that MG Metals indeed paid the freight to ICTS in advance for 
all the shipments to Scottsborough.

3.  copies of anything that MG Metals has received in the past from this 
carrier, ICTS or Scottsborough regarding these particular dispute.

I will keep you closely advised.

Britt

----- Forwarded by Britt Davis/Corp/Enron on 12/06/2000 02:47 PM -----

	Britt Davis
	12/06/2000 02:47 PM
		 
		 To: Nicole Dion/NA/Enron@Enron, Marcus Nettelton/NA/Enron@ENRON
		 cc: Richard B Sanders/HOU/ECT@ECT, Becky Zikes/Corp/Enron@ENRON
		 Subject: In re ICTS

I have received a telefax from Scottsborough, our good customer, which 
attaches the lawsuit filed by the trucker against it and ICTS, in Alabama 
state court.  The complaint prays for recovery of about $15,000, plus 
interest and attorneys' fees.  I was not sent the service papers, which would 
allow me to confirm Scottsborough's advice that its "return date" is December 
16 (a Saturday, so it can't be right).  I was not sent any documents that 
would allow me to confirm Scottsborough's representation that all the loads 
(which were allegedly shipped from 4/10-5/23/00) were purchased from MG 
Metals, freight prepaid.

I am sending a follow-up letter to Scottsborough asking for specific 
additional documentation, including the service papers; you will be 
blind-copied on the letter.  I will also have Becky, my legal assistant, (a) 
call the Court to see if process has been issued against ICTS and whether it 
has been served and (b) check on Pacer, the federal bankruptcy database, to 
see if ICTS has filed for bankruptcy.

Meanwhile, I wonder if Nicole could advise me of/send me the following:

1. a copy of the MG Metals/Scottsborough master agreement, if there is one,